#!/bin/bash
SDG_TEST_ISO_FILE="$1"

if qemu -boot d -cdrom $SDG_TEST_ISO_FILE ; then
  echo -e "GREAT!: $SDG_TEST_ISO_FILE boot was emulated correctly with qemu.\n";
else
  echo -e "ERROR: $SDG_TEST_ISO_FILE boot was NOT emulated correctly with qemu.\n";
  if rm $SDG_TEST_ISO_FILE ; then
    echo -e "MESSAGE: $SDG_TEST_ISO_FILE was deleted\n";
  else
    echo -e "MESSAGE: $SDG_TEST_ISO_FILE was NOT deleted. Weird!\n";
  fi
  exit 1;
fi

if rm $SDG_TEST_ISO_FILE  ; then
echo -e "GREAT!: $SDG_TEST_ISO_FILE was deleted.\n";
else
echo -e "ERROR: $SDG_TEST_ISO_FILE was NOT deleted.\n";
exit 1;
fi

echo -e "WELLDONE!: $0 script finished without any error!\n";
exit 0;
